/** When your routing table is too long, you can split it into small modules **/

import Layout from "@/layout";

const promotionRouter = {
  path: "/promotion",
  component: Layout,
  redirect: "/promotion/activityProductList",
  name: "promotion",
  meta: { title: "促销", icon: "el-icon-sell" },
  children: [
    {
      path: "activityProductList",
      component: () => import("@/views/oms/promotion/activityProductList.vue"),
      name: "activityProductList",
      meta: { title: "promotionalGoods" }
    },
    {
      path: "virtualGoodsList",
      component: () => import("@/views/oms/promotion/virtualGoodsList.vue"),
      name: "virtualGoodsList",
      meta: { title: "virtualGifts" }
    },
    {
      path: "bagProduct",
      component: () => import("@/views/oms/promotion/bagProduct/index"),
      name: "bagProduct",
      meta: { title: "福袋商品" }
    },
    {
      path: "promotion",
      component: () => import("@/views/oms/promotion/promotion/index"),
      name: "promotion",
      meta: { title: "promotionConfig" }
    }
  ]
};
export default promotionRouter;
