/**
 * 小数相加
 */
export function dcmAdd(arg1, arg2) {
	if(!arg1||!arg2){
		return;
	}
	var r1, r2, m;
	try {
		r1 = arg1.toString().split(".")[1].length;
	} catch(e) {
		r1 = 0;
	}
	try {
		r2 = arg2.toString().split(".")[1].length;
	} catch(e) {
		r2 = 0;
	}
	m = Math.pow(10, Math.max(r1, r2));
	return(accMul(arg1, m) + accMul(arg2, m)) / m;
}

/*
 * 相减
 */
export function dcmSub(arg1, arg2) {
	
	if(!arg1||!arg2){
		return;
	}
	return dcmAdd(arg1, -arg2);
}

/*
 * 除法
 */
export function accDiv(arg1, arg2) {
	if(!arg1||!arg2){
		return;
	}
	
	var t1 = 0,
		t2 = 0,
		r1, r2;
	try {
		t1 = arg1.toString().split(".")[1].length;
	} catch(e) {}
	try {
		t2 = arg2.toString().split(".")[1].length;
	} catch(e) {}
	r1 = Number(arg1.toString().replace(".", ""));
	r2 = Number(arg2.toString().replace(".", ""));
	return(r1 / r2) * Math.pow(10, t2 - t1);
}

/*
 * 乘法
 */
export function accMul(arg1, arg2) {
	if(!arg1||!arg2){
		return;
	}
	var m = 0,
		s1 = arg1.toString(),
		s2 = arg2.toString();
	try {
		m += s1.split(".")[1].length;
	} catch(e) {}
	try {
		m += s2.split(".")[1].length;
	} catch(e) {}
	var v = Number(s1.replace(".", "")) * Number(s2.replace(".", "")) / Math.pow(10, m);
	return toDecimal(v);
}

//保留两位小数    
//功能：将浮点数四舍五入，取小数点后2位          

export function toDecimal(x) {
	var f = parseFloat(x);
	if(isNaN(f)) {
		return;
	}
	f = Math.round(x * 100) / 100;
	return f;
}